aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/bsdinstall/scripts/keymap
diff options
context:
space:
mode:
authorNathan Whitehorn <nwhitehorn@FreeBSD.org>2011-10-06 14:22:38 +0000
committerNathan Whitehorn <nwhitehorn@FreeBSD.org>2011-10-06 14:22:38 +0000
commit77d0854ba5b012b7097ea864716310ff0f0f7f45 (patch)
tree2a743e0f5ce9013f5f10613d6f0619c9159da7df /usr.sbin/bsdinstall/scripts/keymap
parent880bf8b9bdd3c557e4748077ead5150990ba9709 (diff)
Notes
Diffstat (limited to 'usr.sbin/bsdinstall/scripts/keymap')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/keymap2
1 files changed, 2 insertions, 0 deletions
diff --git a/usr.sbin/bsdinstall/scripts/keymap b/usr.sbin/bsdinstall/scripts/keymap
index 5c7d12f124f2..97ae83346f31 100755
--- a/usr.sbin/bsdinstall/scripts/keymap
+++ b/usr.sbin/bsdinstall/scripts/keymap
@@ -28,6 +28,8 @@
kbdcontrol -d >/dev/null 2>&1
if [ $? -eq 0 ]; then
+ dialog --backtitle "FreeBSD Installer" --title "Keymap Selection" \
+ --yesno "Would you like to set a non-default key mapping for your keyboard?" 0 0 || exit 0
exec 3>&1
kbdmap 2>&1 1>&3 | grep 'keymap=' > $BSDINSTALL_TMPETC/rc.conf.keymap
fi